@import "../../../global.scss";

.container {
  margin: $sml-mg;
  padding: $sml-mg;
  border: 1pt solid $med-grey;
  border-radius: 3px;
  width: fit-content;
  background: white;
  &:hover {
    border-color: $green;
    transition: all 0.3s ease;
  }
  &:focus {
    border-color: $green;
    outline: none;
  }
  .label {
    font-size: $sub-font;
    color: $med-grey;

    font-weight: 500;
    text-transform: uppercase;
    letter-spacing: 0.06em;
    display: block;
    transform: translateY(-2px);
    transition: all 0.3s ease-out;
  }
  .disabled {
    .label {
      color: $dark-grey;
      pointer-events: none;
      transform: translateY(0);
      transition: none;
    }
  }
  .input,
  .password {
    margin: 0;
    padding: 0;
    background: none;
    outline: none;
    border: none;
    resize: none;
    width: 100%;
    &::placeholder {
      color: $med-grey;
    }
  }
  .password {
    -webkit-text-security: disc;
  }
}
